Skip to main content
PUT
/
v1
/
agents
/
{agent_id}
/
self-schedules
/
settings
Set Self-Schedule Settings
curl --request PUT \
  --url https://api.xpander.ai/v1/agents/{agent_id}/self-schedules/settings \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "can_self_schedule": true,
  "max_self_schedules": 500
}
'
{
  "can_self_schedule": true,
  "max_self_schedules": 500
}
Enable or disable whether the agent can schedule its own future runs, and optionally set the per-task cap on chained self-schedules.

Request Body

can_self_schedule
boolean
required
Whether the agent may schedule its own future runs.
max_self_schedules
integer
Per-task lifetime cap on chained self-schedules. Must be between 1 and 1000.

Example Request

curl -X PUT -H "x-api-key: <your-api-key>" -H "Content-Type: application/json" \
  "https://api.xpander.ai/v1/agents/<agent-id>/self-schedules/settings" \
  -d '{ "can_self_schedule": true, "max_self_schedules": 5 }'

Example Response

{
  "can_self_schedule": true,
  "max_self_schedules": 5
}

Authorizations

x-api-key
string
header
required

API Key for authentication

Path Parameters

agent_id
string
required

Body

application/json

Agent-level self-schedule capability — request and response for the enable/disable toggle.

can_self_schedule
boolean
required

Whether the agent may schedule its own future runs.

max_self_schedules
integer | null

Per-task lifetime cap on chained self-schedules (1-1000).

Required range: 1 <= x <= 1000

Response

Successful Response

Agent-level self-schedule capability — request and response for the enable/disable toggle.

can_self_schedule
boolean
required

Whether the agent may schedule its own future runs.

max_self_schedules
integer | null

Per-task lifetime cap on chained self-schedules (1-1000).

Required range: 1 <= x <= 1000